<?php

namespace HS\Http\Controllers\Admin;

use HS\Http\Requests;

use Illuminate\Http\Request;
use HS\Http\Controllers\Controller;
use Illuminate\Support\Facades\Cookie;
use Symfony\Component\HttpFoundation\Response;

class AdminBaseController extends Controller
{
    public function adminFileCalled()
    {
        $response = require_once cBASEPATH.'/admin.php';

        if( ! $response ) {
            $response = '';
        }

        $response = ($response instanceof Response)
            ? $response
            : response($response, httpStatusCode(), contentTypeHeader());

        return $this->addMobileAuthResponse($response);
    }

    public function sessionCheck()
    {
        if (! auth()->check()) {
            return response([
                'csrf' => csrf_token(),
            ], 200, ['X-HelpSpot-Session' => 'Expired']);
        }

        return response([
            'csrf' => csrf_token(),
        ], 200);
    }

    protected function addMobileAuthResponse(Response $response)
    {
        if (auth()->check() && Cookie::get('mobile-transact')) {
            /** @var $token \Laravel\Sanctum\NewAccessToken */
            $token = auth()->user()->createToken('HelpSpot Mobile '.date('Y-m-d H:i:s'));
            $response->headers->add(['X-HelpSpot-Token' => $token->plainTextToken,]);
            Cookie::queue(Cookie::forget('mobile-transact'));
        }

        return $response;
    }
}
